
#include "check.h"

unordered_map<string, string> parameters; //存放参数的hashmap

//版本号
const string cstrVersion = "0.99";

string strUserCode;
string strUserName;
string strUserPassword;

bool checkVersion()
{
	bool result = false;
	unordered_map<string,string>::iterator iter = parameters.find( string("版本号") );

	if ( iter != parameters.end() && iter->second == cstrVersion )
	{
		result = true;
	}

	return result;
}

string getUserCode()
{
	return strUserCode;
}

string getUserName()
{
	return strUserName;
}

void setUserCode(const string & cstrUserCode)
{
	strUserCode = cstrUserCode;
}

void setUserName(const string & cstrUserName)
{
	strUserName = cstrUserName;
}

string getVersion()
{
	return cstrVersion;
}
